%define name lightmediascanner
%define version	0.3.0.0
%define release %mkrel 1

Summary: 	Lightweight media scanner
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		System/Libraries
License: 	LGPL
URL: 		http://lms.garage.maemo.org/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Lightweight media scanner meant to be used in not-so-powerful
devices, like embedded systems or old machines. Provides an optimized
way to recursively scan directories, handling the parser in a child
process, avoiding breaks of the main process when parsers break.
One can opt to use the single process version, but be aware that
if something bad happens during parsing, your application will suffer. 


%package devel
Summary: 	Headers for developing programs that will use %{name}
Group: 		Development/C
Requires: 	%{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

#Remove uneeded files
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/*.a
rm -rf $RPM_BUILD_ROOT/%{_libdir}/lib%{name}.a  

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/lib%{name}.la 
%{_libdir}/lib%{name}.so.*  
%{_libdir}/%{name}/plugins/*.la 
%{_libdir}/%{name}/plugins/*.so 


%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Aug 21 2009 Texstar <texstar@gmail.com> 0.3.0-1pclos2009
- create

